summaryrefslogtreecommitdiff
path: root/debian.sh
diff options
context:
space:
mode:
authorChristoph Helma <helma@in-silico.ch>2011-02-09 11:30:08 +0100
committerChristoph Helma <helma@in-silico.ch>2011-02-09 11:30:08 +0100
commit493dc4f0268a853c8b5488803b14efb5540163b5 (patch)
treea77d8d21b10cee1b03d038abbc2dc33a6fd4e2d0 /debian.sh
parent0871dbf4fc3f8e1083490197b7be7be2b5163d14 (diff)
initial import
Diffstat (limited to 'debian.sh')
-rw-r--r--debian.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/debian.sh b/debian.sh
new file mode 100644
index 0000000..1e9d5a0
--- /dev/null
+++ b/debian.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+echo "Downloading and updating Debian packages"
+apt-get install lsb-release
+codename=`lsb_release -a|grep Codename|cut -f2`
+if ! grep "^deb.*debian\.org.*non-free" /etc/apt/sources.list
+then
+ echo "deb http://ftp.debian.org/debian/ $codename non-free" | tee -a /etc/apt/sources.list
+fi
+apt-get update -y
+apt-get upgrade -y
+apt-get install binutils gcc g++ gfortran sun-java6-jdk -y
+apt-get install wget hostname pwgen git-core raptor-utils r-base -y # xvfb
+. ./config
+echo mysql-server-5.1 mysql-server/root_password password $mysql_root | debconf-set-selections
+echo mysql-server-5.1 mysql-server/root_password_again password $mysql_root | debconf-set-selections
+apt-get install mysql-server -y
+apt-get install libssl-dev zlib1g-dev libreadline-dev libmysqlclient-dev libmysqlclient-dev libcurl4-openssl-dev libxml2-dev libxslt1-dev libgsl0.dev -y
+sed -i '/^JAVA_HOME=/d' /etc/profile
+echo 'export JAVA_HOME=/usr/lib/jvm/java-6-sun' | tee -a /etc/profile